/*
 * OMAP54xx MUX registers and bitfields
 *
 * Copyright (C) 2009-2011 Texas Instruments, Inc.
 *
 * Benoit Cousson (b-cousson@ti.com)
 *
 * This file is automatically generated from the OMAP hardware databases.
 * We respectfully ask that any modifications to this file be coordinated
 * with the public linux-omap@vger.kernel.org mailing list and the
 * authors above to ensure that the autogeneration scripts are kept
 * up-to-date with the file contents.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef __ARCH_ARM_MACH_OMAP2_MUX_54XX_H
#define __ARCH_ARM_MACH_OMAP2_MUX_54XX_H
/* CTRL_MODULE_CORE_PAD base address*/
#define OMAP5_CTRL_MODULE_PAD_CORE_MUX_PBASE		0x4a002800

/* CTRL_MODULE_CORE_PAD registers offset*/
#define OMAP5_CTRL_MODULE_PAD_EMMC_CLK_OFFSET		0x0040
#define OMAP5_CTRL_MODULE_PAD_EMMC_CMD_OFFSET		0x0042
#define OMAP5_CTRL_MODULE_PAD_EMMC_DATA0_OFFSET		0x0044
#define OMAP5_CTRL_MODULE_PAD_EMMC_DATA1_OFFSET		0x0046
#define OMAP5_CTRL_MODULE_PAD_EMMC_DATA2_OFFSET		0x0048
#define OMAP5_CTRL_MODULE_PAD_EMMC_DATA3_OFFSET		0x004a
#define OMAP5_CTRL_MODULE_PAD_EMMC_DATA4_OFFSET		0x004c
#define OMAP5_CTRL_MODULE_PAD_EMMC_DATA5_OFFSET		0x004e
#define OMAP5_CTRL_MODULE_PAD_EMMC_DATA6_OFFSET		0x0050
#define OMAP5_CTRL_MODULE_PAD_EMMC_DATA7_OFFSET		0x0052
#define OMAP5_CTRL_MODULE_PAD_C2C_CLKOUT0_OFFSET	0x0054
#define OMAP5_CTRL_MODULE_PAD_C2C_CLKOUT1_OFFSET	0x0056
#define OMAP5_CTRL_MODULE_PAD_C2C_CLKIN0_OFFSET		0x0058
#define OMAP5_CTRL_MODULE_PAD_C2C_CLKIN1_OFFSET		0x005a
#define OMAP5_CTRL_MODULE_PAD_C2C_DATAIN0_OFFSET	0x005c
#define OMAP5_CTRL_MODULE_PAD_C2C_DATAIN1_OFFSET	0x005e
#define OMAP5_CTRL_MODULE_PAD_C2C_DATAIN2_OFFSET	0x0060
#define OMAP5_CTRL_MODULE_PAD_C2C_DATAIN3_OFFSET	0x0062
#define OMAP5_CTRL_MODULE_PAD_C2C_DATAIN4_OFFSET	0x0064
#define OMAP5_CTRL_MODULE_PAD_C2C_DATAIN5_OFFSET	0x0066
#define OMAP5_CTRL_MODULE_PAD_C2C_DATAIN6_OFFSET	0x0068
#define OMAP5_CTRL_MODULE_PAD_C2C_DATAIN7_OFFSET	0x006a
#define OMAP5_CTRL_MODULE_PAD_C2C_DATAOUT0_OFFSET	0x006c
#define OMAP5_CTRL_MODULE_PAD_C2C_DATAOUT1_OFFSET	0x006e
#define OMAP5_CTRL_MODULE_PAD_C2C_DATAOUT2_OFFSET	0x0070
#define OMAP5_CTRL_MODULE_PAD_C2C_DATAOUT3_OFFSET	0x0072
#define OMAP5_CTRL_MODULE_PAD_C2C_DATAOUT4_OFFSET	0x0074
#define OMAP5_CTRL_MODULE_PAD_C2C_DATAOUT5_OFFSET	0x0076
#define OMAP5_CTRL_MODULE_PAD_C2C_DATAOUT6_OFFSET	0x0078
#define OMAP5_CTRL_MODULE_PAD_C2C_DATAOUT7_OFFSET	0x007a
#define OMAP5_CTRL_MODULE_PAD_C2C_DATA8_OFFSET		0x007c
#define OMAP5_CTRL_MODULE_PAD_C2C_DATA9_OFFSET		0x007e
#define OMAP5_CTRL_MODULE_PAD_C2C_DATA10_OFFSET		0x0080
#define OMAP5_CTRL_MODULE_PAD_C2C_DATA11_OFFSET		0x0082
#define OMAP5_CTRL_MODULE_PAD_C2C_DATA12_OFFSET		0x0084
#define OMAP5_CTRL_MODULE_PAD_C2C_DATA13_OFFSET		0x0086
#define OMAP5_CTRL_MODULE_PAD_C2C_DATA14_OFFSET		0x0088
#define OMAP5_CTRL_MODULE_PAD_C2C_DATA15_OFFSET		0x008a
#define OMAP5_CTRL_MODULE_PAD_LLIA_WAKEREQOUT_OFFSET	0x008c
#define OMAP5_CTRL_MODULE_PAD_LLIB_WAKEREQOUT_OFFSET	0x008e
#define OMAP5_CTRL_MODULE_PAD_HSI1_ACREADY_OFFSET	0x0090
#define OMAP5_CTRL_MODULE_PAD_HSI1_CAREADY_OFFSET	0x0092
#define OMAP5_CTRL_MODULE_PAD_HSI1_ACWAKE_OFFSET	0x0094
#define OMAP5_CTRL_MODULE_PAD_HSI1_CAWAKE_OFFSET	0x0096
#define OMAP5_CTRL_MODULE_PAD_HSI1_ACFLAG_OFFSET	0x0098
#define OMAP5_CTRL_MODULE_PAD_HSI1_ACDATA_OFFSET	0x009a
#define OMAP5_CTRL_MODULE_PAD_HSI1_CAFLAG_OFFSET	0x009c
#define OMAP5_CTRL_MODULE_PAD_HSI1_CADATA_OFFSET	0x009e
#define OMAP5_CTRL_MODULE_PAD_UART1_TX_OFFSET		0x00a0
#define OMAP5_CTRL_MODULE_PAD_UART1_CTS_OFFSET		0x00a2
#define OMAP5_CTRL_MODULE_PAD_UART1_RX_OFFSET		0x00a4
#define OMAP5_CTRL_MODULE_PAD_UART1_RTS_OFFSET		0x00a6
#define OMAP5_CTRL_MODULE_PAD_HSI2_CAREADY_OFFSET	0x00a8
#define OMAP5_CTRL_MODULE_PAD_HSI2_ACREADY_OFFSET	0x00aa
#define OMAP5_CTRL_MODULE_PAD_HSI2_CAWAKE_OFFSET	0x00ac
#define OMAP5_CTRL_MODULE_PAD_HSI2_ACWAKE_OFFSET	0x00ae
#define OMAP5_CTRL_MODULE_PAD_HSI2_CAFLAG_OFFSET	0x00b0
#define OMAP5_CTRL_MODULE_PAD_HSI2_CADATA_OFFSET	0x00b2
#define OMAP5_CTRL_MODULE_PAD_HSI2_ACFLAG_OFFSET	0x00b4
#define OMAP5_CTRL_MODULE_PAD_HSI2_ACDATA_OFFSET	0x00b6
#define OMAP5_CTRL_MODULE_PAD_UART2_RTS_OFFSET		0x00b8
#define OMAP5_CTRL_MODULE_PAD_UART2_CTS_OFFSET		0x00ba
#define OMAP5_CTRL_MODULE_PAD_UART2_RX_OFFSET		0x00bc
#define OMAP5_CTRL_MODULE_PAD_UART2_TX_OFFSET		0x00be
#define OMAP5_CTRL_MODULE_PAD_USBB1_HSIC_STROBE_OFFSET	0x00c0
#define OMAP5_CTRL_MODULE_PAD_USBB1_HSIC_DATA_OFFSET	0x00c2
#define OMAP5_CTRL_MODULE_PAD_USBB2_HSIC_STROBE_OFFSET	0x00c4
#define OMAP5_CTRL_MODULE_PAD_USBB2_HSIC_DATA_OFFSET	0x00c6
#define OMAP5_CTRL_MODULE_PAD_TIMER10_PWM_EVT_OFFSET	0x00c8
#define OMAP5_CTRL_MODULE_PAD_DSIPORTA_TE0_OFFSET	0x00ca
#define OMAP5_CTRL_MODULE_PAD_DSIPORTA_LANE0X_OFFSET	0x00cc
#define OMAP5_CTRL_MODULE_PAD_DSIPORTA_LANE0Y_OFFSET	0x00ce
#define OMAP5_CTRL_MODULE_PAD_DSIPORTA_LANE1X_OFFSET	0x00d0
#define OMAP5_CTRL_MODULE_PAD_DSIPORTA_LANE1Y_OFFSET	0x00d2
#define OMAP5_CTRL_MODULE_PAD_DSIPORTA_LANE2X_OFFSET	0x00d4
#define OMAP5_CTRL_MODULE_PAD_DSIPORTA_LANE2Y_OFFSET	0x00d6
#define OMAP5_CTRL_MODULE_PAD_DSIPORTA_LANE3X_OFFSET	0x00d8
#define OMAP5_CTRL_MODULE_PAD_DSIPORTA_LANE3Y_OFFSET	0x00da
#define OMAP5_CTRL_MODULE_PAD_DSIPORTA_LANE4X_OFFSET	0x00dc
#define OMAP5_CTRL_MODULE_PAD_DSIPORTA_LANE4Y_OFFSET	0x00de
#define OMAP5_CTRL_MODULE_PAD_DSIPORTC_LANE0X_OFFSET	0x00e0
#define OMAP5_CTRL_MODULE_PAD_DSIPORTC_LANE0Y_OFFSET	0x00e2
#define OMAP5_CTRL_MODULE_PAD_DSIPORTC_LANE1X_OFFSET	0x00e4
#define OMAP5_CTRL_MODULE_PAD_DSIPORTC_LANE1Y_OFFSET	0x00e6
#define OMAP5_CTRL_MODULE_PAD_DSIPORTC_LANE2X_OFFSET	0x00e8
#define OMAP5_CTRL_MODULE_PAD_DSIPORTC_LANE2Y_OFFSET	0x00ea
#define OMAP5_CTRL_MODULE_PAD_DSIPORTC_LANE3X_OFFSET	0x00ec
#define OMAP5_CTRL_MODULE_PAD_DSIPORTC_LANE3Y_OFFSET	0x00ee
#define OMAP5_CTRL_MODULE_PAD_DSIPORTC_LANE4X_OFFSET	0x00f0
#define OMAP5_CTRL_MODULE_PAD_DSIPORTC_LANE4Y_OFFSET	0x00f2
#define OMAP5_CTRL_MODULE_PAD_DSIPORTC_TE0_OFFSET	0x00f4
#define OMAP5_CTRL_MODULE_PAD_TIMER9_PWM_EVT_OFFSET	0x00f6
#define OMAP5_CTRL_MODULE_PAD_I2C4_SCL_OFFSET		0x00f8
#define OMAP5_CTRL_MODULE_PAD_I2C4_SDA_OFFSET		0x00fa
#define OMAP5_CTRL_MODULE_PAD_MCSPI2_CLK_OFFSET		0x00fc
#define OMAP5_CTRL_MODULE_PAD_MCSPI2_SIMO_OFFSET	0x00fe
#define OMAP5_CTRL_MODULE_PAD_MCSPI2_SOMI_OFFSET	0x0100
#define OMAP5_CTRL_MODULE_PAD_MCSPI2_CS0_OFFSET		0x0102
#define OMAP5_CTRL_MODULE_PAD_RFBI_DATA15_OFFSET	0x0104
#define OMAP5_CTRL_MODULE_PAD_RFBI_DATA14_OFFSET	0x0106
#define OMAP5_CTRL_MODULE_PAD_RFBI_DATA13_OFFSET	0x0108
#define OMAP5_CTRL_MODULE_PAD_RFBI_DATA12_OFFSET	0x010a
#define OMAP5_CTRL_MODULE_PAD_RFBI_DATA11_OFFSET	0x010c
#define OMAP5_CTRL_MODULE_PAD_RFBI_DATA10_OFFSET	0x010e
#define OMAP5_CTRL_MODULE_PAD_RFBI_DATA9_OFFSET		0x0110
#define OMAP5_CTRL_MODULE_PAD_RFBI_DATA8_OFFSET		0x0112
#define OMAP5_CTRL_MODULE_PAD_RFBI_DATA7_OFFSET		0x0114
#define OMAP5_CTRL_MODULE_PAD_RFBI_DATA6_OFFSET		0x0116
#define OMAP5_CTRL_MODULE_PAD_RFBI_DATA5_OFFSET		0x0118
#define OMAP5_CTRL_MODULE_PAD_RFBI_DATA4_OFFSET		0x011a
#define OMAP5_CTRL_MODULE_PAD_RFBI_DATA3_OFFSET		0x011c
#define OMAP5_CTRL_MODULE_PAD_RFBI_DATA2_OFFSET		0x011e
#define OMAP5_CTRL_MODULE_PAD_RFBI_DATA1_OFFSET		0x0120
#define OMAP5_CTRL_MODULE_PAD_RFBI_DATA0_OFFSET		0x0122
#define OMAP5_CTRL_MODULE_PAD_RFBI_WE_OFFSET		0x0124
#define OMAP5_CTRL_MODULE_PAD_RFBI_CS0_OFFSET		0x0126
#define OMAP5_CTRL_MODULE_PAD_RFBI_A0_OFFSET		0x0128
#define OMAP5_CTRL_MODULE_PAD_RFBI_RE_OFFSET		0x012a
#define OMAP5_CTRL_MODULE_PAD_RFBI_HSYNC0_OFFSET	0x012c
#define OMAP5_CTRL_MODULE_PAD_RFBI_TE_VSYNC0_OFFSET	0x012e
#define OMAP5_CTRL_MODULE_PAD_GPIO6_182_OFFSET		0x0130
#define OMAP5_CTRL_MODULE_PAD_GPIO6_183_OFFSET		0x0132
#define OMAP5_CTRL_MODULE_PAD_GPIO6_184_OFFSET		0x0134
#define OMAP5_CTRL_MODULE_PAD_GPIO6_185_OFFSET		0x0136
#define OMAP5_CTRL_MODULE_PAD_GPIO6_186_OFFSET		0x0138
#define OMAP5_CTRL_MODULE_PAD_GPIO6_187_OFFSET		0x013a
#define OMAP5_CTRL_MODULE_PAD_HDMI_CEC_OFFSET		0x013c
#define OMAP5_CTRL_MODULE_PAD_HDMI_HPD_OFFSET		0x013e
#define OMAP5_CTRL_MODULE_PAD_HDMI_DDC_SCL_OFFSET	0x0140
#define OMAP5_CTRL_MODULE_PAD_HDMI_DDC_SDA_OFFSET	0x0142
#define OMAP5_CTRL_MODULE_PAD_CSIPORTC_LANE0X_OFFSET	0x0144
#define OMAP5_CTRL_MODULE_PAD_CSIPORTC_LANE0Y_OFFSET	0x0146
#define OMAP5_CTRL_MODULE_PAD_CSIPORTC_LANE1X_OFFSET	0x0148
#define OMAP5_CTRL_MODULE_PAD_CSIPORTC_LANE1Y_OFFSET	0x014a
#define OMAP5_CTRL_MODULE_PAD_CSIPORTB_LANE0X_OFFSET	0x014c
#define OMAP5_CTRL_MODULE_PAD_CSIPORTB_LANE0Y_OFFSET	0x014e
#define OMAP5_CTRL_MODULE_PAD_CSIPORTB_LANE1X_OFFSET	0x0150
#define OMAP5_CTRL_MODULE_PAD_CSIPORTB_LANE1Y_OFFSET	0x0152
#define OMAP5_CTRL_MODULE_PAD_CSIPORTB_LANE2X_OFFSET	0x0154
#define OMAP5_CTRL_MODULE_PAD_CSIPORTB_LANE2Y_OFFSET	0x0156
#define OMAP5_CTRL_MODULE_PAD_CSIPORTA_LANE0X_OFFSET	0x0158
#define OMAP5_CTRL_MODULE_PAD_CSIPORTA_LANE0Y_OFFSET	0x015a
#define OMAP5_CTRL_MODULE_PAD_CSIPORTA_LANE1X_OFFSET	0x015c
#define OMAP5_CTRL_MODULE_PAD_CSIPORTA_LANE1Y_OFFSET	0x015e
#define OMAP5_CTRL_MODULE_PAD_CSIPORTA_LANE2X_OFFSET	0x0160
#define OMAP5_CTRL_MODULE_PAD_CSIPORTA_LANE2Y_OFFSET	0x0162
#define OMAP5_CTRL_MODULE_PAD_CSIPORTA_LANE3X_OFFSET	0x0164
#define OMAP5_CTRL_MODULE_PAD_CSIPORTA_LANE3Y_OFFSET	0x0166
#define OMAP5_CTRL_MODULE_PAD_CSIPORTA_LANE4X_OFFSET	0x0168
#define OMAP5_CTRL_MODULE_PAD_CSIPORTA_LANE4Y_OFFSET	0x016a
#define OMAP5_CTRL_MODULE_PAD_CAM_SHUTTER_OFFSET	0x016c
#define OMAP5_CTRL_MODULE_PAD_CAM_STROBE_OFFSET		0x016e
#define OMAP5_CTRL_MODULE_PAD_CAM_GLOBALRESET_OFFSET	0x0170
#define OMAP5_CTRL_MODULE_PAD_TIMER11_PWM_EVT_OFFSET	0x0172
#define OMAP5_CTRL_MODULE_PAD_TIMER5_PWM_EVT_OFFSET	0x0174
#define OMAP5_CTRL_MODULE_PAD_TIMER6_PWM_EVT_OFFSET	0x0176
#define OMAP5_CTRL_MODULE_PAD_TIMER8_PWM_EVT_OFFSET	0x0178
#define OMAP5_CTRL_MODULE_PAD_I2C3_SCL_OFFSET		0x017a
#define OMAP5_CTRL_MODULE_PAD_I2C3_SDA_OFFSET		0x017c
#define OMAP5_CTRL_MODULE_PAD_GPIO8_233_OFFSET		0x017e
#define OMAP5_CTRL_MODULE_PAD_GPIO8_234_OFFSET		0x0180
#define OMAP5_CTRL_MODULE_PAD_ABE_CLKS_OFFSET		0x0182
#define OMAP5_CTRL_MODULE_PAD_ABEDMIC_DIN1_OFFSET	0x0184
#define OMAP5_CTRL_MODULE_PAD_ABEDMIC_DIN2_OFFSET	0x0186
#define OMAP5_CTRL_MODULE_PAD_ABEDMIC_DIN3_OFFSET	0x0188
#define OMAP5_CTRL_MODULE_PAD_ABEDMIC_CLK1_OFFSET	0x018a
#define OMAP5_CTRL_MODULE_PAD_ABEDMIC_CLK2_OFFSET	0x018c
#define OMAP5_CTRL_MODULE_PAD_ABEDMIC_CLK3_OFFSET	0x018e
#define OMAP5_CTRL_MODULE_PAD_ABESLIMBUS1_CLOCK_OFFSET	0x0190
#define OMAP5_CTRL_MODULE_PAD_ABESLIMBUS1_DATA_OFFSET	0x0192
#define OMAP5_CTRL_MODULE_PAD_ABEMCBSP2_DR_OFFSET	0x0194
#define OMAP5_CTRL_MODULE_PAD_ABEMCBSP2_DX_OFFSET	0x0196
#define OMAP5_CTRL_MODULE_PAD_ABEMCBSP2_FSX_OFFSET	0x0198
#define OMAP5_CTRL_MODULE_PAD_ABEMCBSP2_CLKX_OFFSET	0x019a
#define OMAP5_CTRL_MODULE_PAD_ABEMCPDM_UL_DATA_OFFSET	0x019c
#define OMAP5_CTRL_MODULE_PAD_ABEMCPDM_DL_DATA_OFFSET	0x019e
#define OMAP5_CTRL_MODULE_PAD_ABEMCPDM_FRAME_OFFSET	0x01a0
#define OMAP5_CTRL_MODULE_PAD_ABEMCPDM_LB_CLK_OFFSET	0x01a2
#define OMAP5_CTRL_MODULE_PAD_WLSDIO_CLK_OFFSET		0x01a4
#define OMAP5_CTRL_MODULE_PAD_WLSDIO_CMD_OFFSET		0x01a6
#define OMAP5_CTRL_MODULE_PAD_WLSDIO_DATA0_OFFSET	0x01a8
#define OMAP5_CTRL_MODULE_PAD_WLSDIO_DATA1_OFFSET	0x01aa
#define OMAP5_CTRL_MODULE_PAD_WLSDIO_DATA2_OFFSET	0x01ac
#define OMAP5_CTRL_MODULE_PAD_WLSDIO_DATA3_OFFSET	0x01ae
#define OMAP5_CTRL_MODULE_PAD_UART5_RX_OFFSET		0x01b0
#define OMAP5_CTRL_MODULE_PAD_UART5_TX_OFFSET		0x01b2
#define OMAP5_CTRL_MODULE_PAD_UART5_CTS_OFFSET		0x01b4
#define OMAP5_CTRL_MODULE_PAD_UART5_RTS_OFFSET		0x01b6
#define OMAP5_CTRL_MODULE_PAD_I2C2_SCL_OFFSET		0x01b8
#define OMAP5_CTRL_MODULE_PAD_I2C2_SDA_OFFSET		0x01ba
#define OMAP5_CTRL_MODULE_PAD_MCSPI1_CLK_OFFSET		0x01bc
#define OMAP5_CTRL_MODULE_PAD_MCSPI1_SOMI_OFFSET	0x01be
#define OMAP5_CTRL_MODULE_PAD_MCSPI1_SIMO_OFFSET	0x01c0
#define OMAP5_CTRL_MODULE_PAD_MCSPI1_CS0_OFFSET		0x01c2
#define OMAP5_CTRL_MODULE_PAD_MCSPI1_CS1_OFFSET		0x01c4
#define OMAP5_CTRL_MODULE_PAD_I2C5_SCL_OFFSET		0x01c6
#define OMAP5_CTRL_MODULE_PAD_I2C5_SDA_OFFSET		0x01c8
#define OMAP5_CTRL_MODULE_PAD_PERSLIMBUS2_CLOCK_OFFSET	0x01ca
#define OMAP5_CTRL_MODULE_PAD_PERSLIMBUS2_DATA_OFFSET	0x01cc
#define OMAP5_CTRL_MODULE_PAD_UART6_TX_OFFSET		0x01ce
#define OMAP5_CTRL_MODULE_PAD_UART6_RX_OFFSET		0x01d0
#define OMAP5_CTRL_MODULE_PAD_UART6_CTS_OFFSET		0x01d2
#define OMAP5_CTRL_MODULE_PAD_UART6_RTS_OFFSET		0x01d4
#define OMAP5_CTRL_MODULE_PAD_UART3_CTS_RCTX_OFFSET	0x01d6
#define OMAP5_CTRL_MODULE_PAD_UART3_RTS_IRSD_OFFSET	0x01d8
#define OMAP5_CTRL_MODULE_PAD_UART3_TX_IRTX_OFFSET	0x01da
#define OMAP5_CTRL_MODULE_PAD_UART3_RX_IRRX_OFFSET	0x01dc
#define OMAP5_CTRL_MODULE_PAD_USBB3_HSIC_STROBE_OFFSET	0x01de
#define OMAP5_CTRL_MODULE_PAD_USBB3_HSIC_DATA_OFFSET	0x01e0
#define OMAP5_CTRL_MODULE_PAD_SDCARD_CLK_OFFSET		0x01e2
#define OMAP5_CTRL_MODULE_PAD_SDCARD_CMD_OFFSET		0x01e4
#define OMAP5_CTRL_MODULE_PAD_SDCARD_DATA2_OFFSET	0x01e6
#define OMAP5_CTRL_MODULE_PAD_SDCARD_DATA3_OFFSET	0x01e8
#define OMAP5_CTRL_MODULE_PAD_SDCARD_DATA0_OFFSET	0x01ea
#define OMAP5_CTRL_MODULE_PAD_SDCARD_DATA1_OFFSET	0x01ec
#define OMAP5_CTRL_MODULE_PAD_USBD0_HS_DP_OFFSET	0x01ee
#define OMAP5_CTRL_MODULE_PAD_USBD0_HS_DM_OFFSET	0x01f0
#define OMAP5_CTRL_MODULE_PAD_I2C1_PMIC_SCL_OFFSET	0x01f2
#define OMAP5_CTRL_MODULE_PAD_I2C1_PMIC_SDA_OFFSET	0x01f4
#define OMAP5_CTRL_MODULE_PAD_USBD0_SS_RX_OFFSET	0x01f6

#define OMAP5_CTRL_MODULE_PAD_CORE_MUX_SIZE			\
		(OMAP5_CTRL_MODULE_PAD_USBD0_SS_RX_OFFSET		\
		 - OMAP5_CTRL_MODULE_PAD_EMMC_CLK_OFFSET + 2)

/* CTRL_MODULE_WKUP_PAD base address*/
#define OMAP5_CTRL_MODULE_PAD_WKUP_MUX_PBASE		0x4ae0c800

/* CTRL_MODULE_WKUP_PAD registers offset*/
#define OMAP5_CTRL_MODULE_PAD_LLIA_WAKEREQIN_OFFSET	0x0040
#define OMAP5_CTRL_MODULE_PAD_LLIB_WAKEREQIN_OFFSET	0x0042
#define OMAP5_CTRL_MODULE_PAD_DRM_EMU0_OFFSET		0x0044
#define OMAP5_CTRL_MODULE_PAD_DRM_EMU1_OFFSET		0x0046
#define OMAP5_CTRL_MODULE_PAD_JTAG_NTRST_OFFSET		0x0048
#define OMAP5_CTRL_MODULE_PAD_JTAG_TCK_OFFSET		0x004a
#define OMAP5_CTRL_MODULE_PAD_JTAG_RTCK_OFFSET		0x004c
#define OMAP5_CTRL_MODULE_PAD_JTAG_TMSC_OFFSET		0x004e
#define OMAP5_CTRL_MODULE_PAD_JTAG_TDI_OFFSET		0x0050
#define OMAP5_CTRL_MODULE_PAD_JTAG_TDO_OFFSET		0x0052
#define OMAP5_CTRL_MODULE_PAD_SYS_32K_OFFSET		0x0054
#define OMAP5_CTRL_MODULE_PAD_FREF_CLK_IOREQ_OFFSET	0x0056
#define OMAP5_CTRL_MODULE_PAD_FREF_CLK0_OUT_OFFSET	0x0058
#define OMAP5_CTRL_MODULE_PAD_FREF_CLK1_OUT_OFFSET	0x005a
#define OMAP5_CTRL_MODULE_PAD_FREF_CLK2_OUT_OFFSET	0x005c
#define OMAP5_CTRL_MODULE_PAD_FREF_CLK2_REQ_OFFSET	0x005e
#define OMAP5_CTRL_MODULE_PAD_FREF_CLK1_REQ_OFFSET	0x0060
#define OMAP5_CTRL_MODULE_PAD_SYS_NRESPWRON_OFFSET	0x0062
#define OMAP5_CTRL_MODULE_PAD_SYS_NRESWARM_OFFSET	0x0064
#define OMAP5_CTRL_MODULE_PAD_SYS_PWR_REQ_OFFSET	0x0066
#define OMAP5_CTRL_MODULE_PAD_SYS_NIRQ1_OFFSET		0x0068
#define OMAP5_CTRL_MODULE_PAD_SYS_NIRQ2_OFFSET		0x006a
#define OMAP5_CTRL_MODULE_PAD_SR_PMIC_SCL_OFFSET	0x006c
#define OMAP5_CTRL_MODULE_PAD_SR_PMIC_SDA_OFFSET	0x006e
#define OMAP5_CTRL_MODULE_PAD_SYS_BOOT0_OFFSET		0x0070
#define OMAP5_CTRL_MODULE_PAD_SYS_BOOT1_OFFSET		0x0072
#define OMAP5_CTRL_MODULE_PAD_SYS_BOOT2_OFFSET		0x0074
#define OMAP5_CTRL_MODULE_PAD_SYS_BOOT3_OFFSET		0x0076
#define OMAP5_CTRL_MODULE_PAD_SYS_BOOT4_OFFSET		0x0078
#define OMAP5_CTRL_MODULE_PAD_SYS_BOOT5_OFFSET		0x007a

#define OMAP5_CTRL_MODULE_PAD_WKUP_MUX_SIZE			\
		(OMAP5_CTRL_MODULE_PAD_SYS_BOOT5_OFFSET		\
		 - OMAP5_CTRL_MODULE_PAD_LLIA_WAKEREQIN_OFFSET + 2)

#endif
